/* 
  ==================================================
    Document footer
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  .parallax {
    &--background {
      position: relative;
      overflow: hidden;
      z-index: 1;
      background-size: cover;
      background-repeat: no-repeat;
      background-position: center;
      &:before {
        content: '';
        background: fade(@cBlack, 70%);
        position: absolute;
        z-index: 1;
        top: -1em;
        right: -1em;
        bottom: -1em;
        left: -1em;
      }
      @{wrapperClass} {
        position: relative;
        z-index: 1;
      }
      [id*="jarallax-container"] {
        transition: opacity @transitionDuration @transitionDuration;
      }
      &.loading {
        [id*="jarallax-container"] {
          opacity: 0;
        }
      }
    }
    &--container {
      position: absolute;
      background-size: cover;
      background-position: center;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
    }
  }